:root {
	font-family: saira, inter, sans-serif;
	--backgroundColor: #17161b;
	--primaryColor: white;
	--primaryColorHover: #979797;
	--secondaryColor: #2b2b30;
	--secondaryColorHover: #26262b;
	--secondaryColor2: rgb(69, 69, 77);
	--secondaryColorHover2: rgb(50, 50, 56);
	--tertiaryColor: darkcyan;
	--linkColor: #7684ff;
	--navHeight: 4rem;
	--navColor: #262632;
}
@font-face {
	font-family: inter;
	src: url(../data/inter.ttf);
}

@font-face {
	font-family: saira;
	src: url(../data/saira.ttf);
}

body {
	background-color: var(--backgroundColor);
	color: var(--primaryColor);
	padding: 0;
	margin: 0;
}

h1 {
	font-size: 3rem;
}

::-webkit-scrollbar {
	width: 10px;
}
::-webkit-scrollbar-thumb {
	background: #dadada;
	border-radius: 15px;
	border: 2px solid rgb(31, 31, 31);
	cursor: none;
}
::-webkit-scrollbar-thumb:hover {
	background: #bbbbbb;
}
::-webkit-scrollbar-track {
	background: rgb(31, 31, 31);
}

nav {
	position: fixed;
	top: 0;
	overflow: hidden;
	height: var(--navHeight);
	width: 100vw;
	display: flex;
	align-items: center;
	justify-content: space-around;
	border-radius: 0px 0px 15px 15px;
	background-color: var(--navColor);
	-webkit-box-shadow: 0px 5px 19px 0px var(--navColor);
	box-shadow: 0px 2px 10px 0px var(--navColor);
	z-index: 999;
}
nav a {
	text-decoration: underline transparent;
	color: var(--primaryColor);
	transition: all 0.2s ease-out;
}
nav a:hover {
	text-decoration-color: var(--primaryColor);
	filter: drop-shadow(2px 2px 1px #1eaab4);
}
/* nav img {
	height: 2.8rem;
	padding: 4px;
	background-color: rgb(0, 0, 0);
	box-shadow: 0px 2px 4px 1px #1eaab4;
	border-radius: 10px;
	user-select: none;
	pointer-events: none;
} */
/* #navLogo:hover {
	filter: none !important;
} */

nav .selected {
	text-decoration: underline var(--primaryColor);
	font-size: larger;
}

nav .selected:hover {
	filter: none;
}

.no-copy {
	user-select: none;
	pointer-events: none;
}

.warning {
	font-style: italic;
	color: red;
}

.important {
	font-weight: bold;
}

a {
	color: var(--linkColor);
	text-decoration: underline;
}

.error-page {
	height: 100vh;
	width: 100vw;
	display: flex;
	flex-direction: column;
	align-items: center;
	overflow: hidden;
}
.error-page h1 {
	font-size: 10em;
	margin-bottom: 0.33em;
}
.error-page h2 {
	font-size: 3em;
}
